<html devsite>
  <head>
    <title>Implementing Circular Icons</title>
    <meta name="project_path" value="/_project.yaml" />
    <meta name="book_path" value="/_book.yaml" />
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->



<p>Circular <a
  href="https://developer.android.com/guide/practices/ui_guidelines/icon_design_launcher.html">launcher
  icons</a> are supported in Android 7.1.1 and later. Circular launcher icons
are not enabled by default. To use circular icons in your device
implementation, you must edit the <a
  href="/setup/add-device.html#use-resource-overlays">resource
  overlay</a> on your device to enable them.</p>

<p>The resource file you are using an overlay on is at:
<code><a
href="https://android.googlesource.com/platform/frameworks/base/+/master/core/res/res/values/config.xml">frameworks/base/core/res/res/values/config.xml</a></code>

<p>To enable circular icons, change the <code>config_useRoundIcon</code>
setting in your overlay file from <code>false</code> to <code>true</code>:</p>

<pre class="devsite-click-to-copy">
&lt;!-- Flag indicating whether round icons should be parsed from the application manifest. --&gt;
&lt;bool name="config_useRoundIcon"&gt;true&lt;/bool&gt;
</pre>

  </body>
</html>
